Skip to content

Aritma Banking API (v3)

Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no

Account

Operations

AccountGroup

Operations

Balance

Operations

Company

Operations

EventGridDeadLetter

Operations

EventGridSubscription

Operations

Onboarding

Operations

Payment

Operations

Get payments by messageId

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
messageIdstringrequired

Payment message id filter

Query
skipinteger(int32)

Pagination: Number to skip (default 0)

Default 0
takeinteger(int32)

Pagination: Max number to return (default 100)

Default 100
No request payload

Responses

OK

Body
paymentsArray of objects(PaymentStatusResponse)required

Transactions

payments[].​paymentIdstring(uuid)
payments[].​sourceReferencestring or null
payments[].​statusinteger(int32)(TransactionState)

TransactionState

  • 0 - Submitted
  • 1 - Queued for approval
  • 2 - Dismissed by user
  • 3 - Ready for transfer
  • 4 - Pending bank
  • 5 - Rejected by bank
  • 6 - Accepted bank
  • 7 - Completed
  • 8 - Dismissed by ZData
Enum012345678
payments[].​executionDatestring(date-time)read-only
payments[].​messagestring or null
payments[].​linksArray of objects or null(ApiLink)
totalinteger(int32)required
linksArray of objects or null(ApiLink)
Response
{
  "Payments": [
    {
      "PaymentId": "16c6b7bc-302b-42ac-a5c7-97a32ae5f69b",
      "SourceReference": "100;101;22;6",
      "Status": 6,
      "ExecutionDate": "0001-01-01T00:00:00",
      "Links": [
        {
          "Rel": "payment",
          "Href": "https://bankservice.zdata.no/api/v3/payments/8043f884-0a70-40f9-9e57-58347102412a/c4dc6968-5161-4666-bd21-cee1a3c3ea72"
        }
      ]
    }
  ],
  "Total": 15,
  "Links": [
    {
      "Rel": "first",
      "Href": "https://bankservice.zdata.no/api/v3/payments/8043f884-0a70-40f9-9e57-58347102412a?skip=0&take=100"
    }
  ]
}

Get payments by batchId

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Unique Guid for company

batchIdstring(uuid)required

Unique Guid for the batch

Query
skipinteger(int32)

Number of entries to skip

Default 0
takeinteger(int32)

Number of entries to return

Default 100
No request payload

Responses

OK

Body
paymentsArray of objects(PaymentStatusResponse)required

Transactions

payments[].​paymentIdstring(uuid)
payments[].​sourceReferencestring or null
payments[].​statusinteger(int32)(TransactionState)

TransactionState

  • 0 - Submitted
  • 1 - Queued for approval
  • 2 - Dismissed by user
  • 3 - Ready for transfer
  • 4 - Pending bank
  • 5 - Rejected by bank
  • 6 - Accepted bank
  • 7 - Completed
  • 8 - Dismissed by ZData
Enum012345678
payments[].​executionDatestring(date-time)read-only
payments[].​messagestring or null
payments[].​linksArray of objects or null(ApiLink)
totalinteger(int32)required
linksArray of objects or null(ApiLink)
Response
{
  "Payments": [
    {
      "PaymentId": "db12582c-a0df-4f41-af5a-1ae23a613508",
      "SourceReference": "100;101;22;6",
      "Status": 6,
      "ExecutionDate": "0001-01-01T00:00:00",
      "Links": [
        {
          "Rel": "payment",
          "Href": "https://bankservice.zdata.no/api/v3/payments/8043f884-0a70-40f9-9e57-58347102412a/c4dc6968-5161-4666-bd21-cee1a3c3ea72"
        }
      ]
    }
  ],
  "Total": 15,
  "Links": [
    {
      "Rel": "first",
      "Href": "https://bankservice.zdata.no/api/v3/payments/8043f884-0a70-40f9-9e57-58347102412a?skip=0&take=100"
    }
  ]
}

Get payment lines by batchId

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Unique Guid for company

batchIdstring(uuid)required

Unique Guid for the batch

Query
skipinteger(int32)

Number of entries to skip

Default 0
takeinteger(int32)

Number of entries to return

Default 10000
No request payload

Responses

OK

BodyArray [
paymentIdstring(uuid)required

Payment id

statusinteger(int32)(TransactionState)required

TransactionState

  • 0 - Submitted
  • 1 - Queued for approval
  • 2 - Dismissed by user
  • 3 - Ready for transfer
  • 4 - Pending bank
  • 5 - Rejected by bank
  • 6 - Accepted bank
  • 7 - Completed
  • 8 - Dismissed by ZData
Enum012345678
rejectionCodestring or null

Rejection code if payment has been rejected by bank

rejectionMessagestring or null

Rejection message from bank, if payment has been rejected

sourceReferencestringnon-emptyrequired
amountnumber(double)required

Original invoice amount

currencystring or null
executionDatestring(date-time)
debtorAccountNumberstring or null
creditorNamestring or null
creditorAccountNumberstring or null
creditorAccountCurrencystring or null
chargeAmountnumber or null(double)
chargeCurrencystring or null
descriptionstring or null
invoiceNumberstring or null
structuredReferencestring or null
settlementobject(SettlementDto)
]
Response
No response example

Get payment by sourceReference

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
messageIdstring(uuid)required

The unique id for the remittance

paymentIdstring(uuid)required

Payment id of payment line

No request payload

Responses

OK

Body
paymentIdstring(uuid)required

Payment id

statusinteger(int32)(TransactionState)required

TransactionState

  • 0 - Submitted
  • 1 - Queued for approval
  • 2 - Dismissed by user
  • 3 - Ready for transfer
  • 4 - Pending bank
  • 5 - Rejected by bank
  • 6 - Accepted bank
  • 7 - Completed
  • 8 - Dismissed by ZData
Enum012345678
rejectionCodestring or null

Rejection code if payment has been rejected by bank

rejectionMessagestring or null

Rejection message from bank, if payment has been rejected

sourceReferencestringnon-emptyrequired
amountnumber(double)required

Original invoice amount

currencystring or null
executionDatestring(date-time)
debtorAccountNumberstring or null
creditorNamestring or null
creditorAccountNumberstring or null
creditorAccountCurrencystring or null
chargeAmountnumber or null(double)
chargeCurrencystring or null
descriptionstring or null
invoiceNumberstring or null
structuredReferencestring or null
settlementobject(SettlementDto)
Response
{
  "PaymentId": "8de1fb55-152d-48f5-a057-d8024b9deaf4",
  "Status": 0,
  "RejectionCode": "RR09",
  "RejectionMessage": "ISO Invalid Structured Creditor Reference",
  "Amount": 50,
  "Currency": "NOK",
  "ExecutionDate": "0001-01-01T00:00:00",
  "DebtorAccountNumber": "5337431043",
  "CreditorName": "Kreditor AS",
  "CreditorAccountNumber": "123456789012",
  "CreditorAccountCurrency": "NOK",
  "ChargeAmount": 70,
  "ChargeCurrency": "NOK",
  "Description": "Invoice number 32",
  "InvoiceNumber": "Something",
  "Settlement": {
    "BookingDate": "2026-03-07T04:42:18.2633017+01:00",
    "ValueDate": "2026-03-07T04:42:18.2633019+01:00",
    "ExchangeRate": 1.2,
    "Reference": "12345"
  }
}

Get summary of payments for company

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Unique Guid for company

Query
stateinteger(int32)(TransactionState)

Transaction state

Enum012345678
fromDatestring(date-time)

Earliest date to be included

toDatestring(date-time)

Latest date to be included

skipinteger(int32)

Number of entries to skip

takeinteger(int32)

Number of entries to return

No request payload

Responses

OK

Body
summariesArray of objects or null(PaymentSummary)
linksArray of objects or null(ApiLink)
totalinteger(int32)
Response
{
  "Summaries": [
    {
      "MessageId": "46831cec-c5b7-44e2-9334-31a6f88364e0",
      "Timestamp": "2026-03-07T04:42:18.2641915+01:00",
      "FirstExecutionDate": "2026-03-07T04:42:18.2641904+01:00",
      "LastExecutionDate": "2026-03-07T04:42:18.2641905+01:00",
      "Amounts": {
        "NOK": 55
      },
      "Links": [
        {
          "Rel": "payments",
          "Href": "https://bankservice.zdata.no/api/v3/payments/0a8f02d5-24e1-4ea5-be46-135c2fa4f8c9"
        }
      ]
    }
  ],
  "Total": 0
}

Gets booked payments for company

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Unique Guid for company

Query
accountNumberstring

Bank account number

fromDatestring(date-time)

Earliest date to be included

toDatestring(date-time)

Latest date to be included

skipinteger(int32)

Number of entries to skip

takeinteger(int32)

Number of entries to return

sourceReferencestring

Source reference of a payment. When included, all payments within the same payment bundle will be returned

No request payload

Responses

OK

Body
bookedPaymentsArray of objects or null(BookedPayment)
linksArray of objects or null(ApiLink)
totalinteger(int32)
Response
{
  "BookedPayments": [
    {
      "BookedAmount": 55,
      "AccountCurrency": "NOK",
      "ExchangeRate": 0,
      "BookingDate": "2026-03-07T04:42:18.2648441+01:00",
      "BankReference": "123321",
      "ChargeAmount": 66,
      "ChargeCurrency": "NOK",
      "Payments": [
        {
          "PaymentId": "00000000-0000-0000-0000-000000000000",
          "MessageId": "00000000-0000-0000-0000-000000000000",
          "Links": [
            {
              "Rel": "payment",
              "Href": "http://bankservice.zdata.no/api/v3/payments/5cfd18e2-f37b-4d67-9661-f897b152d459/d0bde9d1-569d-4f5c-aaa7-f8197631fe23"
            }
          ]
        }
      ]
    }
  ],
  "Total": 0
}

Gets booked payments for settlement

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Unique Guid for company

batchIdstring(uuid)required

Unique Guid for the batch

Query
skipinteger(int32)

Number of entries to skip

takeinteger(int32)

Number of entries to return

No request payload

Responses

OK

Body
bookedPaymentsArray of objects or null(BookedPayment)
linksArray of objects or null(ApiLink)
totalinteger(int32)
Response
{
  "BookedPayments": [
    {
      "BookedAmount": 55,
      "AccountCurrency": "NOK",
      "ExchangeRate": 0,
      "BookingDate": "2026-03-07T04:42:18.265151+01:00",
      "BankReference": "123321",
      "ChargeAmount": 66,
      "ChargeCurrency": "NOK",
      "Payments": [
        {
          "PaymentId": "00000000-0000-0000-0000-000000000000",
          "MessageId": "00000000-0000-0000-0000-000000000000",
          "Links": [
            {
              "Rel": "payment",
              "Href": "http://bankservice.zdata.no/api/v3/payments/5cfd18e2-f37b-4d67-9661-f897b152d459/d0bde9d1-569d-4f5c-aaa7-f8197631fe23"
            }
          ]
        }
      ]
    }
  ],
  "Total": 0
}

Dismiss payments

Request

Tokens provided to this endpoint must use implicit or authorization code grant type flows.

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
messageIdstring(uuid)required

The unique id for the payments

Body

Rejection message

reasonstring or null

Reason for rejection

{ "reason": "string" }

Responses

OK

Body
statusinteger(int32)(DismissalStatus)

DismissalStatus

  • 0 - User has already approved payment
  • 1 - User cannot access all bankaccounts present in payment
  • 2 - Payment was dismissed
  • 3 - Payment was not found
  • 4 - Payment was already dismissed
  • 5 - Payment state does not allow approval/rejection
Enum012345
successbooleanread-only

Whether payments were dismissed or not

messagestring or nullread-only

Message explaining status

Response
No response example

Approves payments by message id.

Request

Tokens provided to this endpoint must use implicit or authorization code grant type flows.

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
messageIdstring(uuid)required

The unique id for the payments

No request payload

Responses

OK

Body
statusinteger(int32)(PaymentApproveResult)

PaymentApproveResult

  • 0 - User has already approved payment
  • 1 - User cannot access all bankaccounts present in payment
  • 2 - Payment was approved
  • 3 - Payment is pending approvals
  • 4 - User cannot approve a payment they sent
  • 5 - Payment not found
  • 6 - File has completed approval
Enum0123456
approvalsRemaininginteger(int32)

Number of approvals before payment is sent to bank

successbooleanread-only

Whether approval was successful

messagestring or nullread-only

Message explaining status

Response
No response example

Get payment approval data

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
messageIdstringrequired

Payment message id filter

No request payload

Responses

OK

Body
approvalsRequiredinteger(int32)

Total number of approvals required

approvalsArray of objects or null(ApprovalDto)
Response
No response example

Submits payments for an account. The AccountNumber MUST be owned by the company and in an account group that the user has access to.

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required
Body
messageIdstring(uuid)required
accountNumberstringnon-emptyrequired
singlePaymentsboolean

Always send single payments to creditor. This will not work with credit notes.

paymentLinesArray of objects(PaymentLine)required
paymentLines[].​paymentMethodinteger(int32)(PaymentMethod)

PaymentMethod

  • 1 - Transfer
  • 2 - Inter company
Enum12
paymentLines[].​priorityinteger(int32)(Priority)

Priority

  • 1 - Normal
  • 2 - High
  • 3 - Faster payments
Enum123
paymentLines[].​paymentPurposeinteger(int32)(PaymentPurpose)

PaymentPurpose

  • 1 - Bonus
  • 2 - Salary
  • 3 - Pension
  • 4 - Tax
  • 5 - Intra company
Enum12345
paymentLines[].​executionDatestring(date-time)required
paymentLines[].​sourceReferencestringnon-emptyrequired

Original ERP-system reference

paymentLines[].​regulatoryReportingCodeinteger(int32)

Declaration code

paymentLines[].​regulatoryReportingInfostring or null

Declaration text

paymentLines[].​amountnumber(double)required

Invoice amount. Creditnotes are accepted

paymentLines[].​currencystringnon-emptyrequired

Invoice amount currency

paymentLines[].​structuredReferencestring or null

KID, FIK, OCR, Creditor reference

paymentLines[].​invoiceNostring or null

Invoice number

paymentLines[].​descriptionstring or null

Invoice message

paymentLines[].​statementMessagestring or null<= 35 characters

If present, can be used for text on beneficiary's statement of account

paymentLines[].​creditorobject(Creditor)required
paymentLines[].​creditor.​namestringnon-emptyrequired

Receiver name

paymentLines[].​creditor.​countryCodestringnon-emptyrequired

Receiver country code

paymentLines[].​creditor.​accountNumberstring>= 2 charactersrequired

Receiver account number

paymentLines[].​creditor.​bicstring or null

Receiver BIC-/SWIFT code

paymentLines[].​creditor.​accountTypeinteger(int32)(AccountType)required

AccountType

  • 0 - BBAN
  • 1 - IBAN
  • 2 - Plus girot
  • 3 - Bank girot
  • 4 - Giro konto
Enum01234
paymentLines[].​creditor.​bankCodestring or null

Clearing system bank code (Sort code, fedwire code, routing number). Normally used outside EU

paymentLines[].​creditor.​bankCountryCodestring or null

Creditors bank country code

paymentLines[].​creditor.​addressstring or null<= 128 characters

Address line 1 of receiver

paymentLines[].​creditor.​address2string or null<= 128 characters

Address line 2 of receiver

paymentLines[].​creditor.​address3string or null<= 128 characters

Address line 3 of receiver

paymentLines[].​creditor.​zipCodestring or null<= 16 characters

Post code of receiver

paymentLines[].​creditor.​zipAreastring or null<= 128 characters

Post Area of receiver

{ "MessageId": "9e618e52-ddf2-401e-92a9-79a610cb2451", "AccountNumber": "52011976166", "SinglePayments": false, "PaymentLines": [ { … } ] }

Responses

OK

Body
string(uuid)
Response
No response example

Receivable

Operations

Recipients

Operations

Services

Operations

Statement

Operations

User

Operations